#ifndef TILE_BASE_LOG_CHANNEL_H
#define TILE_BASE_LOG_CHANNEL_H

#pragma once

#include "tile/base/config/configurable.h"
#include "tile/base/ref_ptr.h"

namespace tile {
namespace log {
class Channel : public Configurable, public RefCounted<Channel> {
public:
    void SetProperty(const Slice &name, const Slice &value) override;
    std::string GetProperty(const Slice &name) const override;

protected:
    ~Channel() override;
};
}// namespace log
};// namespace tile

#endif// TILE_BASE_LOG_CHANNEL_H
