#ifndef _TILE_BASE_LOGGING_H
#define _TILE_BASE_LOGGING_H

#pragma once

#include "tile/base/internal/logging.h"
#include "tile/base/logging/basic_file_sink.h"
#include "tile/base/logging/console_sink.h"
#include "tile/base/logging/splitter_sink.h"

// #define TILE_VLOG(n, ...)

//
// #define TILE_CHECK(expr, ...)
// #define TILE_CHECK_EQ(a, b, ...)
// #define TILE_CHECK_NE(a, b, ...)
// #define TILE_CHECK_LT(a, b, ...)
// #define TILE_CHECK_LE(a, b, ...)
// #define TILE_CHECK_GT(a, b, ...)
// #define TILE_CHECK_GE(a, b, ...)
// #define TILE_CHECK_NEAR(a, b, margin, ...)
//
// #define TILE_LOG_INFO(...)
// #define TILE_LOG_WARNING(...)
// #define TILE_LOG_ERROR(...)
// #define TILE_LOG_FATAL(...)
//
// #define TILE_LOG_INFO_IF(expr, ...)
// #define TILE_LOG_WARNING_IF(expr, ...)
// #define TILE_LOG_ERROR_IF(expr, ...)
// #define TILE_LOG_FATAL_IF(expr, ...)
//
// #define TILE_LOG_INFO_EVERY_N(n, ...)
// #define TILE_LOG_WARNING_EVERY_N(n, ...)
// #define TILE_LOG_ERROR_EVERY_N(n, ...)
// #define TILE_LOG_FATAL_EVERY_N(n, ...)
//
// #define TILE_LOG_INFO_IF_EVERY_N(expr, n, ...)
// #define TILE_LOG_WARNING_IF_EVERY_N(expr, n, ...)
// #define TILE_LOG_ERROR_IF_EVERY_N(expr, n, ...)
// #define TILE_LOG_FATAL_IF_EVERY_N(expr, n, ...)
//
// #define TILE_LOG_INFO_ONCE(..)
// #define TILE_LOG_WARNING_ONCE(..)
// #define TILE_LOG_ERROR_ONCE(..)
// #define TILE_LOG_FATAL_ONCE(..)
//
// #define TILE_LOG_INFO_IF_ONCE(expr, ...)
// #define TILE_LOG_WARNING_IF_ONCE(expr, ...)
// #define TILE_LOG_ERROR_IF_ONCE(expr, ...)
// #define TILE_LOG_FATAL_IF_ONCE(expr, ...)
//

// Dxxx
// #define TILE_DCHECK(expr, ...)
// #define TILE_DCHECK_EQ(a, b, ...)
// #define TILE_DCHECK_NE(a, b, ...)
// #define TILE_DCHECK_LT(a, b, ...)
// #define TILE_DCHECK_LE(a, b, ...)
// #define TILE_DCHECK_GT(a, b, ...)
// #define TILE_DCHECK_GE(a, b, ...)
// #define TILE_DCHECK_NEAR(a, b, margin, ...)
//
// #define TILE_DLOG_INFO(...)
// #define TILE_DLOG_WARNING(...)
// #define TILE_DLOG_ERROR(...)
// #define TILE_DLOG_FATAL(...)
//
// #define TILE_DLOG_INFO_IF(expr, ...)
// #define TILE_DLOG_WARNING_IF(expr, ...)
// #define TILE_DLOG_ERROR_IF(expr, ...)
// #define TILE_DLOG_FATAL_IF(expr, ...)
//
// #define TILE_DLOG_INFO_EVERY_N(n, ...)
// #define TILE_DLOG_WARNING_EVERY_N(n, ...)
// #define TILE_DLOG_ERROR_EVERY_N(n, ...)
// #define TILE_DLOG_FATAL_EVERY_N(n, ...)
//
// #define TILE_DLOG_INFO_IF_EVERY_N(expr, n, ...)
// #define TILE_DLOG_WARNING_IF_EVERY_N(expr, n, ...)
// #define TILE_DLOG_ERROR_IF_EVERY_N(expr, n, ...)
// #define TILE_DLOG_FATAL_IF_EVERY_N(expr, n, ...)
//
// #define TILE_DLOG_INFO_ONCE(..)
// #define TILE_DLOG_WARNING_ONCE(..)
// #define TILE_DLOG_ERROR_ONCE(..)
// #define TILE_DLOG_FATAL_ONCE(..)
//
// #define TILE_DLOG_INFO_IF_ONCE(expr, ...)
// #define TILE_DLOG_WARNING_IF_ONCE(expr, ...)
// #define TILE_DLOG_ERROR_IF_ONCE(expr, ...)
// #define TILE_DLOG_FATAL_IF_ONCE(expr, ...)
//
// #define TILE_PCHECK(expr, ...)
//
// #define TILE_PLOG_INFO(...)
// #define TILE_PLOG_WARNING(...)
// #define TILE_PLOG_ERROR(...)
// #define TILE_PLOG_FATAL(...)
//
// #define TILE_PLOG_INFO_IF(expr, ...)
// #define TILE_PLOG_WARNING_IF(expr, ...)
// #define TILE_PLOG_ERROR_IF(expr, ...)
// #define TILE_PLOG_FATAL_IF(expr, ...)
//
// #define TILE_UNREACHABLE(...)
// #define TILE_NOT_IMPLEMENTED(...)
// #define TILE_UNEXPECTED(...)

#endif// _TILE_BASE_LOGGING_H
