#ifndef TILE_BASE_OBJECT_POOL_GLOBAL_H
#define TILE_BASE_OBJECT_POOL_GLOBAL_H

#pragma once
#include "tile/base/object_pool/types.h"

namespace tile {
namespace object_pool {
namespace detail {
namespace global {

void *Get(const TypeDescriptor &desc);
void Put(const TypeDescriptor &desc, void *ptr);

}// namespace global
}// namespace detail
}// namespace object_pool
}// namespace tile

#endif// TILE_BASE_OBJECT_POOL_GLOBAL_H
