#ifndef TILE_BASE_OPTION_JSON_PARSER_H
#define TILE_BASE_OPTION_JSON_PARSER_H

#pragma once
#include "tile/base/optional.h"

#include "json/json.h"

#include <string>

namespace tile {
namespace option {

struct JsonParser {
    std::optional<Json::Value> TryParse(const std::string &str);
};

}// namespace option
}// namespace tile

#endif// TILE_BASE_OPTION_JSON_PARSER_H
